<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Document</title>
    </head>
    <body>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                        <li>
                            <a href="{% url 'show_my_tasks' %}">My tasks</a>
                        </li>
                        <li>
                            <a href="{% url 'list_projects' %}">My projects</a>
                        </li>
                        <li>
                            <a href="{% url 'logout' %}">Logout</a>
                        </li>
                    {% else %}
                        <li>
                            <a href="{% url 'login' %}">Login</a>
                        </li>
                        <li>
                            <a href="{% url 'signup' %}">Signup</a>
                        </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <div>
                <h1>My Projects</h1>
                <div>
                    <p>
                        <a href="{% url 'create_project' %}">Create new project</a>
                    </p>
                </div>
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Number of tasks</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for project in list_projects %}
                            <tr>
                                <td>
                                    <a href="{% url 'show_project' project.id %}">{{ project.name }}</a>
                                </td>
                                <td>{{ project.tasks.all|length }}</td>
                            </tr>
                        {% empty %}
                            <div>
                                <p>You are not assigned to any projects</p>
                            </div>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </main>
    </body>
</html>
